Subject: Re: bug#56499: 28.1; Unable to open large file

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 12 Jul 2022 15:55:39 +0200

Juan Jose Garcia Ripoll <[email-masked]> writes:

> I tried evaluating find-file-name-handler as suggested and it returns
> nil. I suspect it is due to OneDrive (and now also Nextcloud's)
> virtual files, which live online until requested. Somehow opening the
> file does not trigger the required download.

It should be transparent to Emacs, but perhaps the OS/OneDrive is
returning an odd value to Emacs which confuses Emacs?  I don't use
Windows and OneDrive, so I can't test myself.  I guess the relevant code
is in `insert-file-contents', which is implemened in C, so it's not
trivial to debug.

Eli, do you have any ideas?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no